function dYfuncvecdt = ODEfun(t,Yfuncvec); 
Ca = Yfuncvec(1); 
Cb = Yfuncvec(2); 
Cc = Yfuncvec(3); 
T = Yfuncvec(4); 
Nw = Yfuncvec(5); 
% Explicit equations
v0 = 0.004; 
Cb0 = 1; 
UA = 3000; 
Ta = 290; 
cp = 75240; 
T0 = 300; 
dh = -79076000; 
Cw0 = 55; 
k = 0.39175 * exp(5472.7 * (1 / 273 - (1 / T))); 
Cd = Cc; 
Vi = 0.2; 
Kc = 10 ^ (3885.44 / T); 
cpa = 170700; 
V = Vi + v0 * t; 
Fb0 = Cb0 * v0; 
ra = 0 - (k * (Ca * Cb - (Cc * Cd / Kc))); 
Na = V * Ca; 
Nb = V * Cb; 
Nc = V * Cc; 
rb = ra; 
rc = 0 - ra; 
Nd = V * Cd; 
rate = 0 - ra; 
NCp = cp * (Nb + Nc + Nd + Nw) + cpa * Na; 
Cpc = 18; 
Ta1 = 285; 
mc = 100; 
Qr = mc * Cpc * (Ta1 - T) * (1 - exp(0 - (UA / mc / Cpc))); 
Ta2 = T - ((T - Ta1) * exp(0 - (UA / mc / Cpc))); 
% Differential equations
dCadt = ra - (v0 * Ca / V); 
dCbdt = rb + v0 * (Cb0 - Cb) / V; 
dCcdt = rc - (Cc * v0 / V); 
dTdt = (Qr - (Fb0 * cp * (1 + 55) * (T - T0)) + ra * V * dh) / NCp; 
dNwdt = v0 * Cw0; 
dYfuncvecdt = [dCadt; dCbdt; dCcdt; dTdt; dNwdt]; 

