clear
clc
close all
tspan = [0 360.]; % Range for the independent variable time
y0 = [5.; 0; 0; 300.; 6.14]; % Initial values for the dependent variables i.e. Ca,Cb,Cc,T,and Nw
[t,y]=ode45(@ODEfun,tspan,y0);
plot(t,y(:,1),t,y(:,2),t,y(:,3))
xlabel('t(s)')
ylabel('C_i(kmol/m^3)')
axis([0 360 0 5])
legend('Ca','Cb','Cc')
title('Concentration-time trajectories in a semibatch reactor')
