clear
clc
close all
tspan = [0 360.]; % Range for the independent variable time
y0 = [5.; 0; 0; 300.; 6.14]; % Initial values for the dependent variables i.e. Ca,Cb,Cc,T,and Nw
[t,y]=ode45(@ODEfun,tspan,y0);
z=size(y);
for i=1:z(1,1)
    % Calculating the values of Ta2 from the following expression
    Ta2(i) = y(i,4) - ((y(i,4) - 285) * exp(0 - (3000 / 100 / 18))); 
end
plot(t,y(:,4),t,Ta2)
xlabel('t(s)')
ylabel('T(K)')
axis([0 360 290 320])
legend('T','Ta2')
title('Temperature-time trajectories in a semibatch reactor')